body{
    height: 1000px;
    background-color: white;
}
div {
    height: 200px;
    width: 200px;
    background-color: #000;
    color: white;
}
.div1 {
    float: left;
    position: relative;
    margin-left: -20px;
}
.div2 {
    background-color: grey;
    position: absolute;
    top: 50%;
    left: 50%;
}